Bug 1353289 - Gluster: creating a brick display TiB instead GiB as size for block device
Gluster: creating a brick display TiB instead GiB as size for block device
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster (Show other bugs)
4.0.0
Unspecified Linux
high Severity medium (vote)
: ovirt-4.0.4
: 4.0.4
Assigned To: Ramesh N
RamaKasturi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-06 13:51 EDT by Federico Fortini
Modified: 2016-09-29 07:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:16:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: ovirt‑4.0.z?
rule-engine: planning_ack?
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)
Interface for brick creation (19.26 KB, image/png)
2016-07-06 13:51 EDT, Federico Fortini
no flags Details
Exact version of installed software (1.94 KB, text/plain)
2016-07-06 13:54 EDT, Federico Fortini
no flags Details
Attaching the screenshot for the brick size (200.17 KB, image/png)
2016-09-26 10:33 EDT, RamaKasturi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 61773 None None None 2016-08-09 03:45 EDT
oVirt gerrit 62274 master MERGED gluster: fix enumtranslater issue in SizeConverter 2016-08-16 02:09 EDT
oVirt gerrit 62349 ovirt-engine-4.0 MERGED gluster: fix enumtranslater issue in SizeConverter 2016-08-16 08:05 EDT

  None (edit)
Description Federico Fortini 2016-07-06 13:51:25 EDT
Created attachment 1176980 [details]
Interface for brick creation

Description of problem:
When creating a new brick, the dimension of disk are different in TiB and not GiB. See attachment for better undertanding.

Version-Release number of selected component (if applicable):
Latest stable 4.0


How reproducible:
Create a new brick from HOST.
Comment 1 Federico Fortini 2016-07-06 13:54 EDT
Created attachment 1176981 [details]
Exact version of installed software
Comment 2 RamaKasturi 2016-09-26 10:32:42 EDT
Verified and works fine with ovirt-engine-4.0.4.4-0.1.el7ev.noarch.

I see that while user is trying to create a brick the size is shown correctly.
Comment 3 RamaKasturi 2016-09-26 10:33 EDT
Created attachment 1204850 [details]
Attaching the screenshot for the brick size

Note You need to log in before you can comment on or make changes to this bug.